oracle.pgx.config

## Class FileGraphConfig

- java.lang.Object
- - oracle.pgx.config.AbstractConfig
  - - oracle.pgx.config.GraphConfig
    - - oracle.pgx.config.AbstractFileGraphConfig
      - - oracle.pgx.config.FileGraphConfig

-     @Generated(value="config_generator.py")
      public class FileGraphConfig
      extends AbstractFileGraphConfig

  PGX Engine File Graph Config

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FileGraphConfig.Field` Fields of PGX Engine File Graph Config

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Charset` | `getCharset()` Gets the charset.
    `String` | `getDateFormat()` the date format to use when loading and storing date properties.
    `String` | `getEdgeExtension()` [two_tables_text only]] edges file extension
    `List<GraphPropertyConfig>` | `getEdgeProps()` specification of edge properties associated with graph
    `GraphErrorHandlingConfig` | `getErrorHandling()` error handling configuration
    `Format` | `getFormat()` graph format (Note: `bin` is deprecated, use `pgb` instead)
    `GraphLoadingConfig` | `getLoading()` loading-specific configuration
    `String` | `getNodeExtension()` [two_tables_text only] nodes file extension
    `String` | `getSeparator()` [edge_list, adj_list only] separator string for text files
    `String` | `getUri()` unified resource identifier, either pointing to a a local file (relative to the location of this config or absolute), a web resource (prefix `http://'` or `https://`), a HDFS path (prefix `hdfs:`) or a classpath (prefix `classpath:` or `jar:`)
    `Map<FileGraphConfig.Field,Object>` | `getValues()` Gets the parsed values.
    `Map<FileGraphConfig.Field,Object>` | `getValuesWithoutDefaults()` Gets the values without defaults.
    `IdType` | `getVertexIdType()` type of the vertex ID
    `List<GraphPropertyConfig>` | `getVertexProps()` specification of vertex properties associated with graph
    `boolean` | `hasDefaultValue(FileGraphConfig.Field field)` Checks for default value.
    `static FileGraphConfig` | `parse(InputStream is, boolean strict, File parent)` Parses an input stream.
    `static FileGraphConfig` | `parse(Map<String,Object> raw, boolean strict, File parent)` Parses a raw key/value mapping.
    `static FileGraphConfig` | `parse(Properties props, boolean strict)` Parses a properties file.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pgx.config.AbstractFileGraphConfig

      `equals, getName, hashCode`

    - ### Methods inherited from class oracle.pgx.config.GraphConfig

      `getEdgePropertyDefault, getEdgePropertyName, getEdgePropertyType, getNodeKeyType, getNodePropertyDefault, getNodePropertyName, getNodePropertyType, isFileFormat, isFileFormat, numEdgeProperties, numNodeProperties`

    - ### Methods inherited from class oracle.pgx.config.AbstractConfig

      `setSerializable`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCharset

          public Charset getCharset()

      Gets the charset.
      Returns:
        the charset

    - #### getDateFormat

          public String getDateFormat()

      the date format to use when loading and storing date properties. Please see SimpleDateFormat for a documentation of the format string

    - #### getEdgeExtension

          public String getEdgeExtension()

      [two_tables_text only]] edges file extension

    - #### getEdgeProps

          public List<GraphPropertyConfig> getEdgeProps()

      specification of edge properties associated with graph
      Specified by:
        `getEdgeProps` in class `GraphConfig`
      Returns:
        the list of vertex properties

    - #### getErrorHandling

          public GraphErrorHandlingConfig getErrorHandling()

      error handling configuration
      Specified by:
        `getErrorHandling` in class `GraphConfig`
      Returns:
        the error handling configuration

    - #### getFormat

          public Format getFormat()

      graph format (Note: `bin` is deprecated, use `pgb` instead)
      Specified by:
        `getFormat` in class `GraphConfig`
      Returns:
        the format

    - #### getLoading

          public GraphLoadingConfig getLoading()

      loading-specific configuration
      Specified by:
        `getLoading` in class `GraphConfig`
      Returns:
        the loading configuration

    - #### getNodeExtension

          public String getNodeExtension()

      [two_tables_text only] nodes file extension

    - #### getSeparator

          public String getSeparator()

      [edge_list, adj_list only] separator string for text files

    - #### getUri

          public String getUri()

      unified resource identifier, either pointing to a a local file (relative to the location of this config or absolute), a web resource (prefix `http://'` or `https://`), a HDFS path (prefix `hdfs:`) or a classpath (prefix `classpath:` or `jar:`)

    - #### getValues

          public Map<FileGraphConfig.Field,Object> getValues()

      Gets the parsed values.
      Returns:
        the parsed values

    - #### getValuesWithoutDefaults

          public Map<FileGraphConfig.Field,Object> getValuesWithoutDefaults()

      Gets the values without defaults.
      Returns:
        the values without defaults

    - #### getVertexIdType

          public IdType getVertexIdType()

      type of the vertex ID
      Specified by:
        `getVertexIdType` in class `GraphConfig`
      Returns:
        the vertex ID type

    - #### getVertexProps

          public List<GraphPropertyConfig> getVertexProps()

      specification of vertex properties associated with graph
      Specified by:
        `getVertexProps` in class `GraphConfig`
      Returns:
        the list of vertex properties

    - #### hasDefaultValue

          public boolean hasDefaultValue(FileGraphConfig.Field field)

      Checks for default value.
      Parameters:
        `field` - the field
      Returns:
        true, if value for given field is the default value

    - #### parse

          public static FileGraphConfig parse(InputStream is,
                              boolean strict,
                              File parent)
                                       throws IOException

      Parses an input stream.
      Parameters:
        `is` - the input stream
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config
      Throws:
        `IOException` - Signals that an I/O exception has occurred.

    - #### parse

          public static FileGraphConfig parse(Map<String,Object> raw,
                              boolean strict,
                              File parent)

      Parses a raw key/value mapping.
      Parameters:
        `raw` - the raw key/value mapping to parse
        `strict` - if true, parses in strict mode
        `parent` - if not null, resolves relative paths against this parent
      Returns:
        the parsed graph config

    - #### parse

          public static FileGraphConfig parse(Properties props,
                              boolean strict)

      Parses a properties file.
      Parameters:
        `props` - the properties to parse
        `strict` - if true, parses in strict mode
      Returns:
        the parsed graph config

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015. All rights reserved.